[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

Classes | Typedefs | Variables
vigra::Neighborhood3DSix Namespace Reference

## Classes

class | NeighborCode3D
| Encapsulation of direction management of neighbors for a 3D 6-neighborhood. More...

## Typedefs

typedef NeighborCode3D::Direction | Direction

## Variables

static const Direction | Behind = NeighborCode3D::Behind
static const Direction | DirectionCount = NeighborCode3D::DirectionCount
static const Direction | East = NeighborCode3D::East
static const Direction | InFront = NeighborCode3D::InFront
static const Direction | North = NeighborCode3D::North
static const Direction | South = NeighborCode3D::South
static const Direction | West = NeighborCode3D::West

## Detailed Description

3D 6-Neighborhood.

## Typedef Documentation

## ◆ Direction

typedef NeighborCode3D::Direction Direction

Export NeighborCode3D::Direction into the scope of namespace Neighborhood3DSix.

## Variable Documentation

## ◆ East

const Direction East = NeighborCode3D::East

static

Export NeighborCode3D::East to namespace Neighborhood3DSix

## ◆ North

const Direction North = NeighborCode3D::North

static

Export NeighborCode3D::North to namespace Neighborhood3DSix

## ◆ West

const Direction West = NeighborCode3D::West

static

Export NeighborCode3D::West to namespace Neighborhood3DSix

## ◆ South

const Direction South = NeighborCode3D::South

static

Export NeighborCode3D::South to namespace Neighborhood3DSix

## ◆ Behind

const Direction Behind = NeighborCode3D::Behind

static

Export NeighborCode3D::Behind to namespace Neighborhood3DSix

## ◆ InFront

const Direction InFront = NeighborCode3D::InFront

static

Export NeighborCode3D::InFront to namespace Neighborhood3DSix

## ◆ DirectionCount

const Direction DirectionCount = NeighborCode3D::DirectionCount

static

Export NeighborCode3D::DirectionCount to namespace Neighborhood3DSix

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.4